# darwin-configuration.nix
{ inputs, pkgs, ... }:
{
  imports = [ inputs.nixcord.darwinModules.nixcord ];

  programs.nixcord = {
    enable = true;
    user = "imnyang"; # Needed for system-level config

    discord = {
      package = pkgs.discord-canary;
      vencord.enable = false;
      equicord.enable = true;
      # krisp.enable = true;
    };

    equibop.enable = true;

    config.plugins = import ./plugin.nix;
  };

  environment.systemPackages = [ pkgs.discord-gamesdk ];
}
